[SciPy-dev] Problems with Scipy and Fedora Core 4

Greg Novak novak at ucolick.org
Wed Aug 17 14:49:11 CDT 2005


I'm having trouble getting Scipy to run on Fedora Core 4.  The latest 
release (0.3.2) fails to compile with errors in the source, probably 
related to the switch to GCC 4.0.  I'm not summarizing them here because 
the problems don't exist in the Subversion code.

After checking out the latest code from svn, Scipy compiles but I get the 
following error:
ImportError: /usr/lib/python2.4/site-packages/scipy/linalg/clapack.so: 
undefined symbol: clapack_sgesv

I'm using Fedora Cora 4, with RPMS blas-3.0-29, lapack-3.0-29, and 
atlas-3.6.0-0.fdr.2 installed.  I've also installed compat-gcc-33-g77 to 
get g77 and libg2c.a.  This... ahem... would seem to have the effect of 
mixing GCC 3.3 and 4.0 code, which strikes me as dicey at best.  Are my 
worries justified?

I've attached a complete traceback and the output of 
scipy_distutils/system_info.py.  Any tips are appreciated, including (if 
necessary) "It doesn't work right now."

Thanks,
Greg
-------------- next part --------------
No module named __cvs_version__
---------------------------------------------------------------------------
exceptions.ImportError                               Traceback (most recent call last)

/home/novak/Projects/Thesis/<console> 

/home/novak/Projects/Thesis/pn.py in ellipticity(original_rs, ms, scaled, verbose, **kw)
   3696         rs_inside, ms_inside, id_inside =  \
   3697                    inside_ellipsoid(rotated_rs, ms, axes, **kw)
-> 3698         eval, evect = linalg.eig(
   3699             position_moment(rs_inside, ms_inside,
   3700                             spherical=position_moment_spherical,

/usr/lib/python2.4/site-packages/scipy_base/ppimport.py in __getattr__(self, name)
    301             module = self.__dict__['_ppimport_module']
    302         except KeyError:
--> 303             module = self._ppimport_importer()
    304         return getattr(module, name)
    305 

/usr/lib/python2.4/site-packages/scipy_base/ppimport.py in _ppimport_importer(self)
    271             print 'Executing postponed import for %s' %(name)
    272         try:
--> 273             module = __import__(name,None,None,['*'])
    274         except Exception,msg: # ImportError:
    275             if DEBUG:

/usr/lib/python2.4/site-packages/scipy/linalg/__init__.py 
      6 from linalg_version import linalg_version as __version__
      7 
----> 8 from basic import *
      9 from decomp import *
     10 from matfuncs import *

/usr/lib/python2.4/site-packages/scipy/linalg/basic.py 
     10 
     11 #from blas import get_blas_funcs
---> 12 from lapack import get_lapack_funcs
     13 from flinalg import get_flinalg_funcs
     14 from scipy_base import asarray,zeros,sum,NewAxis,greater_equal,subtract,arange,\

/usr/lib/python2.4/site-packages/scipy/linalg/lapack.py 
     14 
     15 import flapack
---> 16 import clapack
     17 _use_force_clapack = 1
     18 if hasattr(clapack,'empty_module'):

ImportError: /usr/lib/python2.4/site-packages/scipy/linalg/clapack.so: undefined symbol: clapack_sgesv
-------------- next part --------------
[root at dionysus scipy_distutils]# python system_info.py
_pkg_config_info:
  NOT AVAILABLE

agg2_info:
( src_dirs = .:/usr/local/src )
  NOT AVAILABLE

atlas_blas_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/sse2 )
( paths: /usr/lib/libf77blas.a )
( paths: /usr/lib/libcblas.a )
( paths: /usr/lib/libatlas.a )
( include_dirs = /usr/local/include:/usr/include )
( paths: /usr/include/atlas )
( paths: /usr/include/atlas/cblas.h )
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/sse2 )
  FOUND:
    libraries = ['f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib']
    language = c
    include_dirs = ['/usr/include/atlas']

atlas_blas_threads_info:
Setting PTATLAS=ATLAS
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/sse2 )
( paths: /usr/lib/libptcblas.a )
( paths: /usr/lib/libatlas.a )
  NOT AVAILABLE

atlas_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/sse2 )
( paths: /usr/lib/libf77blas.a )
( paths: /usr/lib/libcblas.a )
( paths: /usr/lib/libatlas.a )
( paths: /usr/lib/liblapack.so )
system_info.atlas_info
( include_dirs = /usr/local/include:/usr/include )
( paths: /usr/include/atlas )
( paths: /usr/include/atlas/cblas.h )
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/sse2 )
  FOUND:
    libraries = ['lapack', 'f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib']
    language = f77
    include_dirs = ['/usr/include/atlas']

atlas_threads_info:
Setting PTATLAS=ATLAS
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/sse2 )
( paths: /usr/lib/libptcblas.a )
( paths: /usr/lib/libatlas.a )
system_info.atlas_threads_info
  NOT AVAILABLE

blas_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/libblas.so )
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['blas']
    library_dirs = ['/usr/lib']
    language = f77

blas_opt_info:
running build_src
applying backend (numeric) info to extensions
numpy_info:
  FOUND:
    define_macros = [('NUMERIC_VERSION', '"\\"23.7\\""'), ('NUMERIC', None)]
    include_dirs = ['/usr/include/python2.4']

building extension "atlas_version" sources
creating build
creating build/src
  adding 'build/src/atlas_version_-0x5589b31.c' to sources.
running build_ext
customize UnixCCompiler
customize UnixCCompiler using build_ext
building 'atlas_version' extension
compiling C sources
gcc options: '-pthread -fno-strict-aliasing -DNDEBUG -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables -D_GNU_SOURCE -fPIC -fPIC'
creating build/temp.linux-i686-2.4
creating build/temp.linux-i686-2.4/build
creating build/temp.linux-i686-2.4/build/src
compile options: '-DNUMERIC_VERSION="\"23.7\"" -DNUMERIC -I/usr/include/atlas -I/usr/include/python2.4 -I/usr/include/python2.4 -c'
gcc: build/src/atlas_version_-0x5589b31.c
gcc -pthread -shared build/temp.linux-i686-2.4/build/src/atlas_version_-0x5589b31.o -L/usr/lib -lf77blas -lcblas -latlas -o build/temp.linux-i686-2.4/atlas_version.so
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib']
    language = c
    define_macros = [('ATLAS_INFO', '"\\"3.6.0\\""')]
    include_dirs = ['/usr/include/atlas']

blas_src_info:
( src_dirs = .:/usr/local/src )
  NOT AVAILABLE

boost_python_info:
( src_dirs = .:/usr/local/src )
  NOT AVAILABLE

dfftw_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  dfftw not found
  NOT AVAILABLE

dfftw_threads_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  dfftw threads not found
  NOT AVAILABLE

djbfft_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  NOT AVAILABLE

fftw_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  fftw3 not found
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  fftw2 not found
  NOT AVAILABLE

fftw_threads_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  fftw threads not found
  NOT AVAILABLE

freetype2_info:
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['freetype', 'z']
    define_macros = [('FREETYPE2_INFO', '"\\"9.7.3\\""'), ('FREETYPE2_VERSION_9_7_3', None)]
    include_dirs = ['/usr/include/freetype2']

gdk_2_info:
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['gdk-x11-2.0', 'gdk_pixbuf-2.0', 'm', 'pangoxft-1.0', 'pangox-1.0', 'pango-1.0', 'gobject-2.0', 'gmodule-2.0', 'dl', 'glib-2.0']
    define_macros = [('GDK_2_INFO', '"\\"2.6.7\\""'), ('GDK_VERSION_2_6_7', None), ('XTHREADS', None), ('_REENTRANT', None), ('XUSE_MTSAFE_API', None)]
    include_dirs = ['/usr/include/gtk-2.0', '/usr/lib/gtk-2.0/include', '/usr/X11R6/include', '/usr/include/pango-1.0', '/usr/include/freetype2', '/usr/include/freetype2/config', '/usr/include/glib-2.0', '/usr/lib/glib-2.0/include']

gdk_info:
  NOT AVAILABLE

gdk_pixbuf_2_info:
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['gdk_pixbuf-2.0', 'm', 'gobject-2.0', 'gmodule-2.0', 'dl', 'glib-2.0']
    define_macros = [('GDK_PIXBUF_2_INFO', '"\\"2.6.7\\""'), ('GDK_PIXBUF_VERSION_2_6_7', None)]
    include_dirs = ['/usr/include/gtk-2.0', '/usr/include/glib-2.0', '/usr/lib/glib-2.0/include']

gdk_pixbuf_xlib_2_info:
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['gdk_pixbuf_xlib-2.0', 'gdk_pixbuf-2.0', 'm', 'gobject-2.0', 'gmodule-2.0', 'dl', 'glib-2.0']
    extra_link_args = ['-Wl,--export-dynamic']
    define_macros = [('GDK_PIXBUF_XLIB_2_INFO', '"\\"2.6.7\\""'), ('GDK_PIXBUF_XLIB_VERSION_2_6_7', None)]
    include_dirs = ['/usr/include/gtk-2.0', '/usr/include/glib-2.0', '/usr/lib/glib-2.0/include']

gdk_x11_2_info:
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['gdk-x11-2.0', 'gdk_pixbuf-2.0', 'm', 'pangoxft-1.0', 'pangox-1.0', 'pango-1.0', 'gobject-2.0', 'gmodule-2.0', 'dl', 'glib-2.0']
    define_macros = [('GDK_X11_2_INFO', '"\\"2.6.7\\""'), ('GDK_X11_VERSION_2_6_7', None), ('XTHREADS', None), ('_REENTRANT', None), ('XUSE_MTSAFE_API', None)]
    include_dirs = ['/usr/include/gtk-2.0', '/usr/lib/gtk-2.0/include', '/usr/X11R6/include', '/usr/include/pango-1.0', '/usr/include/freetype2', '/usr/include/freetype2/config', '/usr/include/glib-2.0', '/usr/lib/glib-2.0/include']

gtkp_2_info:
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['gtk-x11-2.0', 'gdk-x11-2.0', 'atk-1.0', 'gdk_pixbuf-2.0', 'm', 'pangoxft-1.0', 'pangox-1.0', 'pango-1.0', 'gobject-2.0', 'gmodule-2.0', 'dl', 'glib-2.0']
    define_macros = [('GTKP_2_INFO', '"\\"2.6.7\\""'), ('GTK_VERSION_2_6_7', None), ('XTHREADS', None), ('_REENTRANT', None), ('XUSE_MTSAFE_API', None)]
    include_dirs = ['/usr/include/gtk-2.0', '/usr/lib/gtk-2.0/include', '/usr/X11R6/include', '/usr/include/atk-1.0', '/usr/include/pango-1.0', '/usr/include/freetype2', '/usr/include/freetype2/config', '/usr/include/glib-2.0', '/usr/lib/glib-2.0/include']

gtkp_x11_2_info:
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['gtk-x11-2.0', 'gdk-x11-2.0', 'atk-1.0', 'gdk_pixbuf-2.0', 'm', 'pangoxft-1.0', 'pangox-1.0', 'pango-1.0', 'gobject-2.0', 'gmodule-2.0', 'dl', 'glib-2.0']
    define_macros = [('GTKP_X11_2_INFO', '"\\"2.6.7\\""'), ('GTK_X11_VERSION_2_6_7', None), ('XTHREADS', None), ('_REENTRANT', None), ('XUSE_MTSAFE_API', None)]    include_dirs = ['/usr/include/gtk-2.0', '/usr/lib/gtk-2.0/include', '/usr/X11R6/include', '/usr/include/atk-1.0', '/usr/include/pango-1.0', '/usr/include/freetype2', '/usr/include/freetype2/config', '/usr/include/glib-2.0', '/usr/lib/glib-2.0/include']

lapack_atlas_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/sse2 )
( paths: /usr/lib/libf77blas.a )
( paths: /usr/lib/libcblas.a )
( paths: /usr/lib/libatlas.a )
system_info.lapack_atlas_info
  NOT AVAILABLE

lapack_atlas_threads_info:
Setting PTATLAS=ATLAS
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/sse2 )
( paths: /usr/lib/libptcblas.a )
( paths: /usr/lib/libatlas.a )
system_info.lapack_atlas_threads_info
  NOT AVAILABLE

lapack_info:
( library_dirs = /usr/local/lib:/usr/lib )
( paths: /usr/lib/liblapack.so )
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['lapack']
    library_dirs = ['/usr/lib']
    language = f77

lapack_opt_info:
running build_src
applying backend (numeric) info to extensions
building extension "atlas_version" sources
  adding 'build/src/atlas_version_-0x70f57d4.c' to sources.
running build_ext
customize UnixCCompiler
customize UnixCCompiler using build_ext
customize GnuFCompiler
customize GnuFCompiler
customize GnuFCompiler using build_ext
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['lapack', 'f77blas', 'cblas', 'atlas']
    library_dirs = ['/usr/lib']
    language = f77
    define_macros = [('ATLAS_INFO', '"\\"3.6.0\\""')]
    include_dirs = ['/usr/include/atlas']

lapack_src_info:
( src_dirs = .:/usr/local/src )
  NOT AVAILABLE

numarray_info:
  NOT AVAILABLE

numpy_info:
( include_dirs = /usr/include/python2.4 )
( paths: /usr/include/python2.4/Numeric/arrayobject.h )
( library_dirs =  )
  FOUND:
    define_macros = [('NUMERIC_VERSION', '"\\"23.7\\""'), ('NUMERIC', None)]
    include_dirs = ['/usr/include/python2.4']

sfftw_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  sfftw not found
  NOT AVAILABLE

sfftw_threads_info:
( library_dirs = /usr/local/lib:/usr/lib )
( include_dirs = /usr/local/include:/usr/include )
  sfftw threads not found
  NOT AVAILABLE

wx_info:
Could not locate executable wx-config
File not found: wx-config. Cannot determine wx info.
  NOT AVAILABLE

x11_info:
( library_dirs = /usr/X11R6/lib:/usr/lib )
( include_dirs = /usr/X11R6/include:/usr/include )
( paths: /usr/X11R6/lib/libX11.so )
( paths: /usr/X11R6/include/X11/X.h )
( library_dirs = /usr/X11R6/lib:/usr/lib )
  FOUND:
    libraries = ['X11']
    library_dirs = ['/usr/X11R6/lib']
    include_dirs = ['/usr/X11R6/include']

xft_info:
( library_dirs = /usr/local/lib:/usr/lib )
  FOUND:
    libraries = ['Xft', 'X11', 'freetype', 'Xrender', 'fontconfig']
    library_dirs = ['/usr/X11R6/lib']
    define_macros = [('XFT_INFO', '"\\"2.1.2.2\\""'), ('XFT_VERSION_2_1_2_2', None)]
    include_dirs = ['/usr/X11R6/include', '/usr/include/freetype2', '/usr/include/freetype2/config']



More information about the Scipy-dev mailing list